## gcc-7-cross 29ubuntu1

=== debian/changelog ===
gcc-7-cross (29ubuntu1) disco; urgency=medium

  * Build using 7.4.0-5ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 10 Feb 2019 11:03:14 +0100

gcc-7-cross (29) unstable; urgency=medium

  * Build using 7.4.0-5.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Feb 2019 10:48:22 +0100

gcc-7-cross (28ubuntu1) disco; urgency=medium

  * Build using 7.4.0-1ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 07 Dec 2018 09:21:45 +0100

gcc-7-cross (28) unstable; urgency=medium

  * Build using 7.4.0-1.
  * Add VCS attributes to debian/control.

 -- Matthias Klose <doko@debian.org>  Fri, 07 Dec 2018 09:18:34 +0100
