=== debian/control ===
Source: gcc-7-cross
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.3.0
Build-Depends: gcc-7-source (>= 7.4.0-5~), binutils-multiarch (>= 2.30-7~),
  autoconf2.64, autogen, bison (>= 1:2.3),
  chrpath, debhelper (>= 9), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
  gperf (>= 3.0.1), libhfgcc1-armel-cross [amd64 i386 x32 arm64 ppc64el], libsfgcc1-armhf-cross [amd64 i386 x32 arm64 ppc64el], lib32gcc1-amd64-cross [amd64 arm64 i386 ppc64el x32], libx32gcc1-amd64-cross [amd64 arm64 i386 ppc64el x32], lib64gcc1-i386-cross [amd64 arm64 ppc64el x32], libx32gcc1-i386-cross [amd64 arm64 ppc64el x32], lib32gcc1-s390x-cross [amd64 i386 x32], lib64gcc1-powerpc-cross [amd64 i386 x32 ppc64el],
  binutils-x86-64-linux-gnu (>= 2.30-7~) [amd64 arm64 i386 ppc64el x32], binutils-aarch64-linux-gnu (>= 2.30-7~) [amd64 i386 x32 ppc64el], binutils-arm-linux-gnueabi (>= 2.30-7~) [amd64 i386 x32 arm64 ppc64el], binutils-arm-linux-gnueabihf (>= 2.30-7~) [amd64 i386 x32 arm64 ppc64el], binutils-i686-linux-gnu (>= 2.30-7~) [amd64 arm64 ppc64el x32], binutils-powerpc-linux-gnu (>= 2.30-7~) [amd64 i386 x32 ppc64el], binutils-powerpc64le-linux-gnu (>= 2.30-7~) [amd64 i386 x32 ppc64], binutils-s390x-linux-gnu (>= 2.30-7~) [amd64 i386 x32],
  libc6-dev-amd64-cross (>= 2.27) [amd64 arm64 i386 ppc64el x32], libc6-dev-arm64-cross (>= 2.27) [amd64 i386 x32 ppc64el], libc6-dev-armel-cross (>= 2.27) [amd64 i386 x32 arm64 ppc64el], libc6-dev-armhf-cross (>= 2.27) [amd64 i386 x32 arm64 ppc64el], libc6-dev-i386-cross (>= 2.27) [amd64 arm64 ppc64el x32], libc6-dev-powerpc-cross (>= 2.27) [amd64 i386 x32 ppc64el], libc6-dev-ppc64el-cross (>= 2.27) [amd64 i386 x32 ppc64], libc6-dev-s390x-cross (>= 2.27) [amd64 i386 x32], libc6-dev-armhf-cross [amd64 i386 x32 arm64 ppc64el], libc6-dev-armel-cross [amd64 i386 x32 arm64 ppc64el], libc6-dev-i386-amd64-cross [amd64 arm64 i386 ppc64el x32], libc6-dev-x32-amd64-cross [amd64 arm64 i386 ppc64el x32], libc6-dev-amd64-i386-cross [amd64 arm64 ppc64el x32], libc6-dev-x32-i386-cross [amd64 arm64 ppc64el x32], libc6-dev-s390-s390x-cross [amd64 i386 x32], libc6-dev-ppc64-powerpc-cross [amd64 i386 x32 ppc64el],
  linux-libc-dev-amd64-cross [amd64 arm64 i386 ppc64el x32], linux-libc-dev-arm64-cross [amd64 i386 x32 ppc64el], linux-libc-dev-armel-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-armhf-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-i386-cross [amd64 arm64 ppc64el x32], linux-libc-dev-powerpc-cross [amd64 i386 x32 ppc64el], linux-libc-dev-ppc64el-cross [amd64 i386 x32 ppc64], linux-libc-dev-s390x-cross [amd64 i386 x32],
  libisl-dev (>= 0.14-1~), libmpc-dev,
  libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
  pkg-config, libgc-dev,
  patchutils, procps, quilt, coreutils (>= 2.26) | realpath (>= 1.9.12), sharutils, texinfo (>= 4.3),
  g++-7,
  gccgo-7,
  gdc-7,
  gnat-7 [!m32r !sh3 !sh3eb !sh4eb],
  xz-utils, zlib1g-dev, python3, dwz
Build-Conflicts: gcc-multilib,
  libc6-amd64 [i386 x32], libc6-i386 [amd64 x32], libc6-x32 [amd64 i386]
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc-cross/tree/gcc-7-cross
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc-cross.git -b gcc-7-cross

Package: gcc-7-cross-base
Architecture: all
Section: devel
Priority: optional
Depends: ${misc:Depends}
Description: GCC, the GNU Compiler Collection (library base package)
 This package contains files common to all libraries
 contained in the GNU Compiler Collection (GCC).

Package: gcc-7-x86-64-linux-gnu-base
Architecture: arm64 i386 ppc64el x32
Section: devel
Priority: optional
Depends: ${misc:Depends}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc-7-dev-amd64-cross
Architecture: all
Section: libdevel
Priority: optional
Recommends: ${dep:libcdev}
Depends: gcc-7-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libitm}, ${dep:libatomic}, ${dep:libbtrace}, ${dep:libasan}, ${dep:liblsan}, ${dep:libtsan}, ${dep:libubsan}, ${dep:libvtv}${dep:libqmath}, ${dep:libunwinddev}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-7 (<< ${gcc:SplitVersion})
Description: GCC support library (development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: libgcc1-dbg-amd64-cross
Architecture: all
Section: debug
Priority: optional
Depends: gcc-7-x86-64-linux-gnu-base (= ${gcc:Version}), libgcc1-amd64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for amd64 architecture, for use in cross-compile
 environment.

Package: libgcc2-dbg-amd64-cross
Architecture: all
Section: debug
Priority: optional
Depends: gcc-7-x86-64-linux-gnu-base (= ${gcc:Version}), libgcc2-amd64-cross (= ${gcc:Version}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for amd64 architecture, for use in cross-compile
 environment.

Package: libgcc4-dbg-amd64-cross
Architecture: all
Section: debug
Priority: optional
Depends: gcc-7-x86-64-linux-gnu-base (= ${gcc:Version}), libgcc4-amd64-cross (= ${gcc:Version}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for amd64 architecture, for use in cross-compile
 environment.

Package: lib64gcc1-dbg-amd64-cross
Architecture: all
Section: debug
Priority: optional
Depends: gcc-7-x86-64-linux-gnu-base (= ${gcc:Version}), lib64gcc1-amd64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for amd64 architecture, for use in cross-compile
 environment.

Package: lib32gcc-7-dev-amd64-cross
Architecture: all
Section: libdevel
Priority: optional
Recommends: ${dep:libcdev}
Depends: gcc-7-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch}, ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch}, ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch}, ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libvtvbiarch}, ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-7-multilib (<< ${gcc:SplitVersion})
Description: GCC support library (32 bit development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: lib32gcc1-dbg-amd64-cross
Architecture: all
Section: debug
Priority: optional
Depends: gcc-7-x86-64-linux-gnu-base (= ${gcc:Version}), lib32gcc1-amd64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for amd64 architecture, for use in cross-compile
 environment.

Package: libhfgcc1-dbg-amd64-cross
Architecture: all
Section: debug
Priority: optional
Depends: gcc-7-x86-64-linux-gnu-base (= ${gcc:Version}), libhfgcc1-amd64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for amd64 architecture, for use in cross-compile
 environment.

Package: libsfgcc1-dbg-amd64-cross
Architecture: all
Section: debug
Priority: optional
Depends: gcc-7-x86-64-linux-gnu-base (= ${gcc:Version}), libsfgcc1-amd64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for amd64 architecture, for use in cross-compile
 environment.

Package: libn32gcc1-dbg-amd64-cross
Architecture: all
Section: debug
Priority: optional
Depends: gcc-7-x86-64-linux-gnu-base (= ${gcc:Version}), libn32gcc1-amd64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for amd64 architecture, for use in cross-compile
 environment.

Package: libx32gcc-7-dev-amd64-cross
Architecture: all
Section: libdevel
Priority: optional
Recommends: ${dep:libcdev}
Depends: gcc-7-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch}, ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch}, ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch}, ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libvtvbiarch}, ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-7-multilib (<< ${gcc:SplitVersion})
Description: GCC support library (x32 development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: libx32gcc1-dbg-amd64-cross
Architecture: all
Section: debug
Priority: optional
Depends: gcc-7-x86-64-linux-gnu-base (= ${gcc:Version}), libx32gcc1-amd64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for amd64 architecture, for use in cross-compile
 environment.

Package: gcc-7-x86-64-linux-gnu
Architecture: arm64 i386 ppc64el x32
Section: devel
Priority: optional
Depends: gcc-7-x86-64-linux-gnu-base (= ${gcc:Version}), cpp-7-x86-64-linux-gnu (= ${gcc:Version}), binutils-x86-64-linux-gnu (>= ${binutils:Version}), libgcc-7-dev-amd64-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Suggests: ${gcc:multilib}, gcc-7-doc (>= ${gcc:SoftVersion}), gcc-7-locales (>= ${gcc:SoftVersion}), libgcc1-dbg-amd64-cross, libgomp1-dbg-amd64-cross, libitm1-dbg-amd64-cross, libatomic1-dbg-amd64-cross, libtsan0-dbg-amd64-cross, libbacktrace1-dbg-amd64-cross, libquadmath-dbg-amd64-cross, ${dep:libcloog}, ${dep:gold}
Provides: c-compiler-x86-64-linux-gnu
Description: GNU C compiler
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 This package contains C cross-compiler for amd64 architecture.

Package: gcc-7-multilib-x86-64-linux-gnu
Architecture: arm64 i386 ppc64el x32
Section: devel
Priority: optional
Depends: gcc-7-x86-64-linux-gnu-base (= ${gcc:Version}), gcc-7-x86-64-linux-gnu (= ${gcc:Version}), ${dep:libcbiarchdev}, ${dep:libgccbiarchdev}, ${shlibs:Depends}, ${misc:Depends}
Description: GNU C compiler (multilib files)
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 On architectures with multilib support, the package contains files
 and dependencies for the non-default multilib architecture(s).

Package: gcc-7-plugin-dev-x86-64-linux-gnu
Architecture: arm64 i386 ppc64el x32
Section: devel
Priority: optional
Depends: gcc-7-x86-64-linux-gnu-base (= ${gcc:Version}), gcc-7-x86-64-linux-gnu (= ${gcc:Version}), libgmp-dev (>= 2:5.0.1~), ${shlibs:Depends}, ${misc:Depends}
Description: Files for GNU GCC plugin development.
 This package contains (header) files for GNU GCC plugin development. It
 is only used for the development of GCC plugins, but not needed to run
 plugins.

Package: cpp-7-x86-64-linux-gnu
Architecture: arm64 i386 ppc64el x32
Section: devel
Priority: optional
Depends: gcc-7-x86-64-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: gcc-7-locales (>= ${gcc:SoftVersion})
Replaces: gcc-4.6 (<< 4.6.1-9)
Description: GNU C preprocessor
 A macro processor that is used automatically by the GNU C compiler
 to transform programs before actual compilation.
 .
