## gcc-7-cross 30ubuntu1

=== debian/changelog ===
gcc-7-cross (30ubuntu1) disco; urgency=medium

  * Build using 7.4.0-6ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Mar 2019 11:26:21 +0100

gcc-7-cross (30) unstable; urgency=medium

  * Build using 7.4.0-5.
  * Stop building the mips64 packages from the -ports package.

 -- Matthias Klose <doko@debian.org>  Mon, 04 Mar 2019 10:27:29 +0100
