=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 endif
 
 ifeq ($(GCC_VER),7)
-  MIN_VER_GCC      := 7.4.0-5~
+  MIN_VER_GCC      := 7.4.0-6~
   PPA_VER_GCC      := 7.4.0
 endif
 
@@ -114,7 +114,7 @@
     GCC_PORTS_BUILD=
   else # -ports package
     ifneq (,$(filter $(HOST_ARCH),amd64 i386 x32))
-      CROSS_ARCHS  ?= alpha hppa m68k mips64 powerpcspe ppc64 riscv64 sh4 sparc64 \
+      CROSS_ARCHS  ?= alpha hppa m68k powerpcspe ppc64 riscv64 sh4 sparc64 \
 		$(if $(filter $(vendor), Ubuntu), mips mipsel mips64el, powerpc) \
 		$(if $(filter $(HOST_ARCH), amd64 i386), x32)
     else ifeq ($(HOST_ARCH),arm64)
