## gcc-7-cross 30ubuntu2

=== debian/changelog ===
gcc-7-cross (30ubuntu2) disco; urgency=medium

  * Build using 7.4.0-8ubuntu1.
  * Build ppc64el packages on arm64.
  * Build s390x packages on arm64 and ppc64el.
  * Build riscv64 packages on arm64 and ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Apr 2019 13:18:57 +0200
