=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Standards-Version: 4.3.0
-Build-Depends: gcc-7-source (>= 7.4.0-6~), binutils-multiarch (>= 2.30-7~),
+Build-Depends: gcc-7-source (>= 7.4.0-8~), binutils-multiarch (>= 2.30-7~),
   autoconf2.64, autogen, bison (>= 1:2.3),
   chrpath, debhelper (>= 9), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
-  gperf (>= 3.0.1), libhfgcc1-armel-cross [amd64 i386 x32 arm64 ppc64el], libsfgcc1-armhf-cross [amd64 i386 x32 arm64 ppc64el], lib32gcc1-amd64-cross [amd64 arm64 i386 ppc64el x32], libx32gcc1-amd64-cross [amd64 arm64 i386 ppc64el x32], lib64gcc1-i386-cross [amd64 arm64 ppc64el x32], libx32gcc1-i386-cross [amd64 arm64 ppc64el x32], lib32gcc1-s390x-cross [amd64 i386 x32], lib64gcc1-powerpc-cross [amd64 i386 x32 ppc64el],
-  binutils-x86-64-linux-gnu (>= 2.30-7~) [amd64 arm64 i386 ppc64el x32], binutils-aarch64-linux-gnu (>= 2.30-7~) [amd64 i386 x32 ppc64el], binutils-arm-linux-gnueabi (>= 2.30-7~) [amd64 i386 x32 arm64 ppc64el], binutils-arm-linux-gnueabihf (>= 2.30-7~) [amd64 i386 x32 arm64 ppc64el], binutils-i686-linux-gnu (>= 2.30-7~) [amd64 arm64 ppc64el x32], binutils-powerpc-linux-gnu (>= 2.30-7~) [amd64 i386 x32 ppc64el], binutils-powerpc64le-linux-gnu (>= 2.30-7~) [amd64 i386 x32 ppc64], binutils-s390x-linux-gnu (>= 2.30-7~) [amd64 i386 x32],
-  libc6-dev-amd64-cross (>= 2.27) [amd64 arm64 i386 ppc64el x32], libc6-dev-arm64-cross (>= 2.27) [amd64 i386 x32 ppc64el], libc6-dev-armel-cross (>= 2.27) [amd64 i386 x32 arm64 ppc64el], libc6-dev-armhf-cross (>= 2.27) [amd64 i386 x32 arm64 ppc64el], libc6-dev-i386-cross (>= 2.27) [amd64 arm64 ppc64el x32], libc6-dev-powerpc-cross (>= 2.27) [amd64 i386 x32 ppc64el], libc6-dev-ppc64el-cross (>= 2.27) [amd64 i386 x32 ppc64], libc6-dev-s390x-cross (>= 2.27) [amd64 i386 x32], libc6-dev-armhf-cross [amd64 i386 x32 arm64 ppc64el], libc6-dev-armel-cross [amd64 i386 x32 arm64 ppc64el], libc6-dev-i386-amd64-cross [amd64 arm64 i386 ppc64el x32], libc6-dev-x32-amd64-cross [amd64 arm64 i386 ppc64el x32], libc6-dev-amd64-i386-cross [amd64 arm64 ppc64el x32], libc6-dev-x32-i386-cross [amd64 arm64 ppc64el x32], libc6-dev-s390-s390x-cross [amd64 i386 x32], libc6-dev-ppc64-powerpc-cross [amd64 i386 x32 ppc64el],
-  linux-libc-dev-amd64-cross [amd64 arm64 i386 ppc64el x32], linux-libc-dev-arm64-cross [amd64 i386 x32 ppc64el], linux-libc-dev-armel-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-armhf-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-i386-cross [amd64 arm64 ppc64el x32], linux-libc-dev-powerpc-cross [amd64 i386 x32 ppc64el], linux-libc-dev-ppc64el-cross [amd64 i386 x32 ppc64], linux-libc-dev-s390x-cross [amd64 i386 x32],
+  gperf (>= 3.0.1), libhfgcc1-armel-cross [amd64 i386 x32 arm64 ppc64el], libsfgcc1-armhf-cross [amd64 i386 x32 arm64 ppc64el], lib32gcc1-amd64-cross [amd64 arm64 i386 ppc64el x32], libx32gcc1-amd64-cross [amd64 arm64 i386 ppc64el x32], lib64gcc1-i386-cross [amd64 arm64 ppc64el x32], libx32gcc1-i386-cross [amd64 arm64 ppc64el x32], lib32gcc1-s390x-cross [amd64 i386 x32 arm64 ppc64el], lib64gcc1-powerpc-cross [amd64 i386 x32 ppc64el],
+  binutils-x86-64-linux-gnu (>= 2.30-7~) [amd64 arm64 i386 ppc64el x32], binutils-aarch64-linux-gnu (>= 2.30-7~) [amd64 i386 x32 ppc64el], binutils-arm-linux-gnueabi (>= 2.30-7~) [amd64 i386 x32 arm64 ppc64el], binutils-arm-linux-gnueabihf (>= 2.30-7~) [amd64 i386 x32 arm64 ppc64el], binutils-i686-linux-gnu (>= 2.30-7~) [amd64 arm64 ppc64el x32], binutils-powerpc-linux-gnu (>= 2.30-7~) [amd64 i386 x32 ppc64el], binutils-powerpc64le-linux-gnu (>= 2.30-7~) [amd64 i386 x32 ppc64 arm64], binutils-s390x-linux-gnu (>= 2.30-7~) [amd64 i386 x32 arm64 ppc64el],
+  libc6-dev-amd64-cross (>= 2.27) [amd64 arm64 i386 ppc64el x32], libc6-dev-arm64-cross (>= 2.27) [amd64 i386 x32 ppc64el], libc6-dev-armel-cross (>= 2.27) [amd64 i386 x32 arm64 ppc64el], libc6-dev-armhf-cross (>= 2.27) [amd64 i386 x32 arm64 ppc64el], libc6-dev-i386-cross (>= 2.27) [amd64 arm64 ppc64el x32], libc6-dev-powerpc-cross (>= 2.27) [amd64 i386 x32 ppc64el], libc6-dev-ppc64el-cross (>= 2.27) [amd64 i386 x32 ppc64 arm64], libc6-dev-s390x-cross (>= 2.27) [amd64 i386 x32 arm64 ppc64el], libc6-dev-armhf-cross [amd64 i386 x32 arm64 ppc64el], libc6-dev-armel-cross [amd64 i386 x32 arm64 ppc64el], libc6-dev-i386-amd64-cross [amd64 arm64 i386 ppc64el x32], libc6-dev-x32-amd64-cross [amd64 arm64 i386 ppc64el x32], libc6-dev-amd64-i386-cross [amd64 arm64 ppc64el x32], libc6-dev-x32-i386-cross [amd64 arm64 ppc64el x32], libc6-dev-s390-s390x-cross [amd64 i386 x32 arm64 ppc64el], libc6-dev-ppc64-powerpc-cross [amd64 i386 x32 ppc64el],
+  linux-libc-dev-amd64-cross [amd64 arm64 i386 ppc64el x32], linux-libc-dev-arm64-cross [amd64 i386 x32 ppc64el], linux-libc-dev-armel-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-armhf-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-i386-cross [amd64 arm64 ppc64el x32], linux-libc-dev-powerpc-cross [amd64 i386 x32 ppc64el], linux-libc-dev-ppc64el-cross [amd64 i386 x32 ppc64 arm64], linux-libc-dev-s390x-cross [amd64 i386 x32 arm64 ppc64el],
   libisl-dev (>= 0.14-1~), libmpc-dev,
   libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
   pkg-config, libgc-dev,
@@ -219,5 +219,3 @@
 Replaces: gcc-4.6 (<< 4.6.1-9)
 Description: GNU C preprocessor
  A macro processor that is used automatically by the GNU C compiler
- to transform programs before actual compilation.
- .
