=== debian/rules ===
--- 
+++ 
@@ -50,6 +50,7 @@
 DEB_SVER_ACT     := $(shell dpkg-parsechangelog| sed -n 's/-*//; s/^Version: \(.*\)/\1/p')
 DEB_VER_ACT      := $(shell /bin/sh debian/new_cross_version.sh $(if $(filter $(DEB_NAME_ACT), gcc-7-cross),arm64,ppc64))
 CROSS_EXT       := cross$(DEB_VER_ACT)
+CROSS_EXT       := cross2
 
 VER_GCC        := $(shell dpkg-parsechangelog -l/usr/src/gcc-${GCC_VER}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
 GCC_DIR        := /usr/src/gcc-${GCC_VER}
@@ -103,12 +104,12 @@
         $(if $(filter $(HOST_ARCH), amd64 x32), i386)
         # $(if $(filter $(HOST_ARCH), i386 x32), amd64)
     else ifeq ($(HOST_ARCH),arm64)
-      CROSS_ARCHS = amd64 armel armhf i386 ppc64el riscv64 s390x
+      CROSS_ARCHS = amd64 armel armhf i386 ppc64el s390x
     else ifeq ($(HOST_ARCH),ppc64)
       CROSS_ARCHS = ppc64el
     else ifeq ($(HOST_ARCH),ppc64el)
       CROSS_ARCHS = amd64 i386 $(if $(filter $(vendor), Ubuntu), powerpc) \
-	armel armhf arm64 riscv64 s390x
+	armel armhf arm64 s390x
     else
       CROSS_ARCHS =
     endif
@@ -119,9 +120,9 @@
 		$(if $(filter $(vendor), Ubuntu), mips mipsel mips64el, powerpc) \
 		$(if $(filter $(HOST_ARCH), amd64 i386), x32)
     else ifeq ($(HOST_ARCH),arm64)
-      CROSS_ARCHS = x32
+      CROSS_ARCHS = x32 riscv64
     else ifeq ($(HOST_ARCH),ppc64el)
-      CROSS_ARCHS = x32 $(if $(filter $(vendor), Ubuntu),, powerpc)
+      CROSS_ARCHS = x32 riscv64 $(if $(filter $(vendor), Ubuntu),, powerpc)
     else
       CROSS_ARCHS =
     endif
@@ -217,4 +218,3 @@
 endif
 
 ifneq (,$(filter sparc64, $(sort $(HOST_ARCH) $(CROSS_ARCHS))))
-  EXTRA_BUILD_DEPS += libc6-dev-sparc-sparc64-cross [$(HOST_ARCHS_sparc64)],
