## gcc-7-cross 30ubuntu5

=== debian/changelog ===
gcc-7-cross (30ubuntu5) eoan; urgency=medium

  * Build using 7.4.0-9ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 28 Apr 2019 10:11:11 +0200
